# Ipopt::SensApplication Class Reference

`#include <SensApplication.hpp>`

Inheritance diagram for Ipopt::SensApplication:
[legend]

List of all members.

## Public Member Functions
| SensApplication (SmartPtr< Journalist > jnlst, SmartPtr< OptionsList > options, SmartPtr< RegisteredOptions > reg_options)
| ~SensApplication ()
SensAlgorithmExitStatus | Run ()
void | Initialize ()
void | SetIpoptAlgorithmObjects (SmartPtr< IpoptApplication > app_ipopt, ApplicationReturnStatus ipopt_retval)
SmartPtr< Journalist > | Jnlst ()
SmartPtr< OptionsList > | Options ()
SmartPtr< const OptionsList > | Options () const
| Get the options list for setting options (const version).
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
## Private Attributes
SmartPtr< Journalist > | jnlst_
SmartPtr< OptionsList > | options_
SmartPtr< IpoptData > | ip_data_
SmartPtr < IpoptCalculatedQuantities > | ip_cq_
SmartPtr< PDSystemSolver > | pd_solver_
SmartPtr< IpoptNLP > | ip_nlp_
SmartPtr< RegisteredOptions > | reg_options_
ApplicationReturnStatus | ipopt_retval_
bool | run_sens_
| storing options values
bool | compute_red_hessian_
Index | n_sens_steps_

## Detailed Description

Definition at line 22 of file SensApplication.hpp.

## Constructor & Destructor Documentation

Ipopt::SensApplication::SensApplication | ( | SmartPtr< Journalist > | jnlst,
|  | SmartPtr< OptionsList > | options,
|  | SmartPtr< RegisteredOptions > | reg_options |
| ) |  |  |

Ipopt::SensApplication::~SensApplication | ( |  | ) |

## Member Function Documentation

static void Ipopt::SensApplication::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

SensAlgorithmExitStatus Ipopt::SensApplication::Run | ( |  | ) |

void Ipopt::SensApplication::Initialize | ( |  | ) |

void Ipopt::SensApplication::SetIpoptAlgorithmObjects | ( | SmartPtr< IpoptApplication > | app_ipopt,
|  | ApplicationReturnStatus | ipopt_retval |
| ) |  |  |

SmartPtr<Journalist> Ipopt::SensApplication::Jnlst | ( |  | ) | `[inline]`

Definition at line 41 of file SensApplication.hpp.

SmartPtr<OptionsList> Ipopt::SensApplication::Options | ( |  | ) | `[inline]`

Definition at line 47 of file SensApplication.hpp.

SmartPtr<const OptionsList> Ipopt::SensApplication::Options | ( |  | ) | const`[inline]`

Get the options list for setting options (const version).

Definition at line 53 of file SensApplication.hpp.

## Member Data Documentation

SmartPtr<Journalist> Ipopt::SensApplication::jnlst_`[private]`

Definition at line 65 of file SensApplication.hpp.

SmartPtr<OptionsList> Ipopt::SensApplication::options_`[private]`

Definition at line 66 of file SensApplication.hpp.

SmartPtr<IpoptData> Ipopt::SensApplication::ip_data_`[private]`

Definition at line 67 of file SensApplication.hpp.

SmartPtr<IpoptCalculatedQuantities> Ipopt::SensApplication::ip_cq_`[private]`

Definition at line 68 of file SensApplication.hpp.

SmartPtr<PDSystemSolver> Ipopt::SensApplication::pd_solver_`[private]`

Definition at line 69 of file SensApplication.hpp.

SmartPtr<IpoptNLP> Ipopt::SensApplication::ip_nlp_`[private]`

Definition at line 70 of file SensApplication.hpp.

SmartPtr<RegisteredOptions> Ipopt::SensApplication::reg_options_`[private]`

Definition at line 71 of file SensApplication.hpp.

ApplicationReturnStatus Ipopt::SensApplication::ipopt_retval_`[private]`

Definition at line 72 of file SensApplication.hpp.

bool Ipopt::SensApplication::run_sens_`[private]`

storing options values

Definition at line 75 of file SensApplication.hpp.

bool Ipopt::SensApplication::compute_red_hessian_`[private]`

Definition at line 76 of file SensApplication.hpp.

Index Ipopt::SensApplication::n_sens_steps_`[private]`

Definition at line 77 of file SensApplication.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensApplication.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines